# Uses of Interface
org.opensaml.soap.wssecurity.messaging.Token

Packages that use Token
Package
Description
org.opensaml.saml.saml2.wssecurity
Classes for SAML WS-Security.
org.opensaml.soap.wssecurity.messaging
WS-Security messaging support components.

## Uses of Token in org.opensaml.saml.saml2.wssecurity

Classes in org.opensaml.saml.saml2.wssecurity that implement Token
Modifier and Type
Class
Description
`class`
`SAML20AssertionToken`
Implementation of SAML 2.0 Assertion token.

## Uses of Token in org.opensaml.soap.wssecurity.messaging

Classes in org.opensaml.soap.wssecurity.messaging that implement Token
Modifier and Type
Class
Description
`class`
`AbstractToken<TokenType>`
Base abstract implementation of `Token`.
Fields in org.opensaml.soap.wssecurity.messaging with type parameters of type Token
Modifier and Type
Field
Description
`private LazyList<Token<?>>`
WSSecurityContext.`tokens`
List of known WS-Security tokens.
Methods in org.opensaml.soap.wssecurity.messaging that return types with arguments of type Token
Modifier and Type
Method
Description
`List<Token<?>>`
WSSecurityContext.`getTokens()`
Get the list of WS-Security tokens.